Skip to main content
PUT
Update hold configuration

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

id
string
required

Id of the Hold Configuration being updated.

Body

application/json
name
string
required

Hold configuration name.

Required string length: 1 - 128
queueIds
string[]
required

Specifies which queues is the given hold config applied to. Empty list is supported for default config.

Specifies which queues is the given hold config applied to. Empty list is supported for default config.

onHoldMusic
FileAudioSourceWithDefaultOptionApiModel · object

File audio source information.

announcementMessage
FileOrTtsAudioSourceWithRepeatIntervalApiModel · object

File audio source or TTS audio source information with repeat interval.

enabled
boolean
default
boolean

Response

OK

name
string
required

Hold configuration name.

Required string length: 1 - 128
queueIds
string[]
required

Specifies which queues is the given hold config applied to. Empty list is supported for default config.

Specifies which queues is the given hold config applied to. Empty list is supported for default config.

id
string
read-only

Unique id of the hold configuration.

onHoldMusic
FileAudioSourceWithDefaultOptionApiModel · object

File audio source information.

announcementMessage
FileOrTtsAudioSourceWithRepeatIntervalApiModel · object

File audio source or TTS audio source information with repeat interval.

createdAt
string
read-only
Example:

"2022-12-10T13:45:00.777+0000"

updatedAt
string
read-only
Example:

"2022-12-10T13:45:00.777+0000"

enabled
boolean
default
boolean